import React from 'react';
import { renderToStaticMarkup } from 'react-dom/server';
import '@testing-library/jest-dom/extend-expect';
import { render } from '@testing-library/react';
import { PhaseBanner } from '.';
describe('PhaseBanner', function () {
  var wrapper;
  var content;
  describe('with custom content', function () {
    beforeEach(function () {
      content = /*#__PURE__*/React.createElement("p", null, "Custom html can go here. ", /*#__PURE__*/React.createElement("strong", null, "This part is in bold!"));
      wrapper = render( /*#__PURE__*/React.createElement(PhaseBanner, {
        "data-arbitrary": "arbitrary"
      }, content));
    });
    it('renders the custom content', function () {
      expect(wrapper.getByTestId('phase-banner-content').innerHTML).toContain(renderToStaticMarkup(content));
    });
    it('should spread arbitrary props', function () {
      expect(wrapper.getByTestId('phase-banner')).toHaveAttribute('data-arbitrary', 'arbitrary');
    });
  });
});